Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### triangle()

Examples

    triangle(30, 75, 58, 20, 86, 75);

Description | A triangle is a plane created by connecting three points. The first two arguments specify the first point, the middle two arguments specify the second point, and the last two arguments specify the third point.

Syntax

    triangle(x1, y1, x2, y2, x3, y3);

Parameters

x1 | int or float: x-coordinate of the first point
y1 | int or float: y-coordinate of the first point
x2 | int or float: x-coordinate of the second point
y2 | int or float: y-coordinate of the second point
x3 | int or float: x-coordinate of the third point
y3 | int or float: y-coordinate of the third point

Returns | None
Usage | Web & Application
Related | beginShape()

Updated on November 22, 2008 08:39:25pm PST